- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# peoParallelAlgorithmWrapper Class Reference

Inheritance diagram for peoParallelAlgorithmWrapper:

List of all members.

## Public Member Functions
template<typename AlgorithmType>
| peoParallelAlgorithmWrapper (AlgorithmType &externalAlgorithm)
template<typename AlgorithmType, typename AlgorithmDataType>
| peoParallelAlgorithmWrapper (AlgorithmType &externalAlgorithm, AlgorithmDataType &externalData)
| ~peoParallelAlgorithmWrapper ()
void | run ()
## Private Attributes
AbstractAlgorithm * | algorithm
## Classes
struct | AbstractAlgorithm
struct | Algorithm
struct | Algorithm< AlgorithmType, void >

## Detailed Description

Definition at line 47 of file peoParallelAlgorithmWrapper.h.

The documentation for this class was generated from the following file:

- peoParallelAlgorithmWrapper.h